import { onMounted as d, openBlock as i, createElementBlock as n, normalizeStyle as l, createElementVNode as o, toDisplayString as a, renderSlot as s } from "vue";
import { l as c } from "./index2.js";
const m = { class: "value" }, u = {
  __name: "SFilterItem",
  props: {
    label: {
      required: !0,
      type: String
    },
    // labelWidth: {
    //     type: Number,
    //     default: 70
    // },
    colon: {
      type: Boolean,
      default: !1
    },
    width: {
      type: Number,
      default: 280
    },
    mb: {
      type: Number,
      default: 0
    }
  },
  setup(e) {
    const t = e;
    return d(() => {
    }), (r, p) => (i(), n("div", {
      class: "filter-item",
      style: l({ width: t.width + "px", marginBottom: e.mb + "px" })
    }, [
      o("div", {
        class: "label",
        style: l({ width: t.labelWidth + "px" })
      }, a(e.label) + a(t.colon ? "：" : ""), 5),
      o("div", m, [
        s(r.$slots, "default", {}, void 0, !0)
      ])
    ], 4));
  }
}, y = /* @__PURE__ */ c(u, [["__scopeId", "data-v-31f2e1bd"]]);
export {
  y as default
};
